package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m0530t00_talleres</tt>. 
 * The table <tt>m0530t00_talleres</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0530T00 ( 
  COD_TAL_30      	VARCHAR2 (4)    NOT NULL, 
  COD_POB_30     	VARCHAR2 (5), 
  DESCRIP_30     	VARCHAR2 (100), 
  DIREC_30      	VARCHAR2 (100), 
  TELEF_30      	VARCHAR2 (15), 
  MARCA_30      	VARCHAR2 (50),
  PROPIO_30      	VARCHAR2 (30), 
  RAMA_30      		VARCHAR2 (1),     
  PRIMARY KEY (		COD_TAL_30 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bTaller
    implements java.io.Serializable{

  private String tal_codigo    = "";
  private String tal_poblacion   = "";
  private String tal_descripcion   = "";
  private String tal_direccion   = "";
  private String tal_telefono   = "";
  private String tal_marca   = "";
  private String tal_propio   = "";
  private String tal_rama   = "";  
  
  public String getTal_codigo(){return tal_codigo;} 
  public void setTal_codigo(String n){tal_codigo = n;}
  
  public String getTal_poblacion(){return tal_poblacion;}  
  public void setTal_poblacion(String n){tal_poblacion = n;}
  
  public String getTal_descripcion(){return tal_descripcion;}  
  public void setTal_descripcion(String n){tal_descripcion = n;}
  
  public String getTal_direccion(){return tal_direccion;}  
  public void setTal_direccion(String n){tal_direccion = n;}
  
  public String getTal_telefono(){return tal_telefono;}  
  public void setTal_telefono(String n){tal_telefono = n;}
  
  public String getTal_marca(){return tal_marca;}  
  public void setTal_marca(String n){tal_marca = n;}

  public String getTal_propio(){return tal_propio;}  
  public void setTal_propio(String n){tal_propio = n;}
  
  public String getTal_rama(){return tal_rama;}  
  public void setTal_rama(String n){tal_rama = n;}
    
  public String toString(){
    String s = "";
    s += "[Codigo taller = " + tal_codigo + "]";
    s += "[Poblacion taller = " + tal_poblacion + "]";
    s += "[Descripcion taller = " + tal_descripcion + "]";
    s += "[Direccion taller = " + tal_direccion + "]";
    s += "[Telefono taller = " + tal_telefono + "]";
    s += "[Marca taller = " + tal_marca + "]";
    s += "[Propio taller = " + tal_propio + "]";
    s += "[Rama taller = " + tal_rama + "]";
    return s;
  }
 }